Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

raspberrypifw: 1.20200601 -> 1.20200902 #98429

Closed

Conversation

@lovesegfault
Copy link
Contributor

@lovesegfault lovesegfault commented Sep 21, 2020

Motivation for this change

Noticed it was out of date.

cc. @samueldr

Things done
  • Tested using sandboxing (nix.useSandbox on NixOS, or option sandbox in nix.conf on non-NixOS linux)
  • Built on platform(s)
    • NixOS
    • macOS
    • other Linux distributions
  • Tested via one or more NixOS test(s) if existing and applicable for the change (look inside nixos/tests)
  • Tested compilation of all pkgs that depend on this change using nix-shell -p nixpkgs-review --run "nixpkgs-review wip"
  • Tested execution of all binary files (usually in ./result/bin/)
  • Determined the impact on package closure size (by running nix path-info -S before and after)
  • Ensured that relevant documentation is up to date
  • Fits CONTRIBUTING.md.
Copy link
Contributor

@TredwellGit TredwellGit left a comment

sha256 needs to be updated.

@lovesegfault lovesegfault force-pushed the lovesegfault:linux-firmware-rpi-bump branch from 2e435bd to d147579 Sep 26, 2020
@lovesegfault
Copy link
Contributor Author

@lovesegfault lovesegfault commented Sep 26, 2020

@TredwellGit Fixed! Thanks!

@ajs124
Copy link
Member

@ajs124 ajs124 commented Sep 26, 2020

Why are the platforms restricted on this package? It only downloads and unpacks an image?

@TredwellGit
Copy link
Contributor

@TredwellGit TredwellGit commented Sep 27, 2020

From https://nixos.org/manual/nixpkgs/unstable/#chap-packageconfig:

The package isn't intended to run on the given system, as none of its meta.platforms match the given system.

This package is only intended to run on Raspberry Pis so this seems correct. Unless meta.platforms is about building instead of running. In any case not relevant to this pull request.

@ajs124
Copy link
Member

@ajs124 ajs124 commented Sep 27, 2020

Yeah, it prevents building on x86. I can open another issue/PR about this.

I just noticed it here, because building it for reviewing on x86 requires setting allowUnsupportedSystem and this package doesn't really build anything.

This package is also also on other architectures, if you want to access these files, e.g. to serve them via PXE or just to copy them onto an SD card for a raspberry pi.

@lovesegfault
Copy link
Contributor Author

@lovesegfault lovesegfault commented Sep 28, 2020

Yeah, it prevents building on x86. I can open another issue/PR about this.

I just noticed it here, because building it for reviewing on x86 requires setting allowUnsupportedSystem and this package doesn't really build anything.

This package is also also on other architectures, if you want to access these files, e.g. to serve them via PXE or just to copy them onto an SD card for a raspberry pi.

Right, I did NIXPKGS_ALLOW_UNSUPPORTED=1 nix-build ...

@hax404
Copy link
Contributor

@hax404 hax404 commented Sep 29, 2020

rel #97258

@dasJ dasJ mentioned this pull request Oct 6, 2020
0 of 10 tasks complete
@ajs124 ajs124 closed this in #99884 Oct 7, 2020
@lovesegfault lovesegfault deleted the lovesegfault:linux-firmware-rpi-bump branch Oct 7, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

4 participants
You can’t perform that action at this time.